﻿/* Fokus ved tastaturvandring */
a:focus,
a:hover {
    font-style: italic;
}

.voucherViewer .voucherPictureFolderButtons a.k-button:focus,
.voucherViewer .voucherPictureFolderButtons a.k-button:hover {
    font-style: normal;
}

/* Hvite knapper i toppen */
.ddSelectionPanel a:focus,
.ddSelectionPanel a:hover {
    font-style: normal;
    background-color: #0e3a2e;
    color: #fff;
    background-image: url(../img/Eye_hvit.svg);
}

.ddSelectionPanel .information:focus,
.ddSelectionPanel .information:hover {
    background-image: url(../img/info_hvit.svg);
}

.ddSelectionPanel a[data-ddmenu-id="filter"]:focus,
.ddSelectionPanel a[data-ddmenu-id="genericFilter"]:focus,
.ddSelectionPanel a[data-ddmenu-id="filter"]:hover,
.ddSelectionPanel a[data-ddmenu-id="genericFilter"]:hover {
    font-style: italic;
    background-image: url(../img/FilterIkon.svg);
}

.ddSelectionPanel a[data-ddmenu-id="filter"].ddmenuClicked:focus,
.ddSelectionPanel a[data-ddmenu-id="genericFilter"].ddmenuClicked:focus,
.ddSelectionPanel a[data-ddmenu-id="filter"].ddmenuClicked:hover,
.ddSelectionPanel a[data-ddmenu-id="genericFilter"].ddmenuClicked:hover {
    background-color: #0e3a2e;
    color: transparent;
    font-style: normal;
}

.ddSelectionPanel a[data-ddmenu-id="filter"].ddmenuClicked:focus::after,
.ddSelectionPanel a[data-ddmenu-id="genericFilter"].ddmenuClicked:focus::after,
.ddSelectionPanel a[data-ddmenu-id="filter"].ddmenuClicked:hover::after,
.ddSelectionPanel a[data-ddmenu-id="genericFilter"].ddmenuClicked:hover::after{
    background-color: #0e3a2e;
    color: #fff;
    font-style: normal;
}

.ddSelectionPanel .hideShowElements:focus, .ddSelectionPanel .hideShowElements:hover {
    background-image:url(../img/LukkSlett_X_hvit.svg);
}

.ddSelectionPanel .infoVideoIcon:focus,
.ddSelectionPanel .infoVideoIcon:hover {
    background-image: url(../img/Video_ikon_hvit.svg);
}

.ddSelectionPanel .visSummer:focus,
.ddSelectionPanel .visSummer:hover {
    background-image: url(../img/Sum_icon_hvit.svg);
}

.ddSelectionPanel .portfolioSelection:focus,
.ddSelectionPanel .portfolioSelection:hover {
    background-image: url('../img/Portfolio_morkegronn.svg');
}

.ddSelectionPanel .sync:focus,
.ddSelectionPanel .sync:hover {
    background-image: url('../img/Synchronize_hvit.svg');
}

.ddSelectionPanel .ddSettingsIcon:focus,
.ddSelectionPanel .ddSettingsIcon:hover {
    background-image: url('../img/settings_hvit.svg');
}


.ddSelectionPanel .rules:focus,
.ddSelectionPanel .rules:hover,
.ddSelectionPanel .loggLink:focus,
.ddSelectionPanel .loggLink:hover{
    background-image: url('../img/penn_hvit.svg');
}

.ddSelectionPanel .goTo:focus,
.ddSelectionPanel .goTo:hover {
    background-image: none;
    padding:6px 10px;
}

.ddSelectionPanel .changePerspective:focus,
.ddSelectionPanel .changePerspective:hover{
    background-image: url('../img/Perspektiv_hvit.svg');
}

.ddSelectionPanel .import:focus,
.ddSelectionPanel .import:hover{
    background-image: url('../img/ImportIcon_hvit.svg');
}
/* Slutt: Hvite knapper i toppen */

/* Mest brukte klienter i klientvelger */
.ddDemoClientList .demoClientButton:focus,
.ddDemoClientList .demoClientButton:hover,
.rfClientChooserMostUsedClient:focus,
.rfClientChooserMostUsedClient:hover {
    color: #fff;
    background-color: #0e3a2e;
}

/* Arkfaner */
/* Toppstilte arkfaner (ikke firmaoppsett eller grunnregistre) */
.ddTabStrip.k-tabstrip .k-tabstrip-items .k-item:focus,
.ddTabStrip.k-tabstrip .k-tabstrip-items .k-item:hover {
    border-top: 1px solid #0e3a2e;
    border-bottom: 5px solid #0e3a2e;
    margin-top:-1px;
}

/* Venstrestilte arkfaner i firmaoppsett og grunnregistre */
.ddInnerTabStrip.k-tabstrip.k-tabstrip-left .k-tabstrip-items .k-item:focus,
.ddInnerTabStrip.k-tabstrip.k-tabstrip-left .k-tabstrip-items .k-item:hover,
.ddInnerTabStrip.k-tabstrip.k-tabstrip-left .k-tabstrip-items .k-item.k-state-hover,
.ddInnerTabStrip.k-tabstrip.k-tabstrip-left .k-tabstrip-items .k-item.k-state-active:hover {
    border-right: 1px solid #0e3a2e;
    border-left: 5px solid #0e3a2e;
}

/* Toppstilte arkfaner inne i venstrestilte arkfaner firmaoppsett lønn */
.ddInnerTabStrip.k-tabstrip.k-tabstrip-top .k-tabstrip-items .k-item:focus,
.ddInnerTabStrip.k-tabstrip.k-tabstrip-top .k-tabstrip-items .k-item:hover,
.ddInnerTabStrip.k-tabstrip.k-tabstrip-top .k-tabstrip-items .k-item.k-state-hover,
.ddInnerTabStrip.k-tabstrip.k-tabstrip-top .k-tabstrip-items .k-item.k-state-active:hover {
    border-top: 1px solid #0e3a2e;
    border-bottom: 5px solid #0e3a2e;
    border-left: none;
    border-right: none;
    margin-top: -1px;
}

.ddNotificationsContainer .ddInnerTabStrip.k-tabstrip.k-tabstrip-left .k-tabstrip-items .k-item.k-state-active:hover {
    border-top:1px solid transparent;
    margin-top:0;
}

/* Spesiell css for websider som har begge klassene på samme linje og må sette den ene ut av spill */
.ddCompanySetupReceipt .ddTabStrip.k-tabstrip .k-tabstrip-items .k-item:focus,
.ddCompanySetupReceipt .ddTabStrip.k-tabstrip .k-tabstrip-items .k-item:hover{
    border-top: 1px solid transparent;
    border-bottom: none;
    margin-top: -1px;
}

.ddCompanySetupReceipt .ddTabStrip.k-tabstrip .k-tabstrip-items .k-item.k-state-active:hover{
    border-top: 1px solid transparent;
    border-bottom: none;
    margin-top: unset;
}
/* Slutt: Arkfaner */

.ddReportExportContainer .k-button:focus,
.ddReportExportContainer .k-button:hover {
    background-color: #0e3a2e;
}

a.ddShowColumns:focus,
a.ddShowColumns:hover {
    font-style:italic;
}

.ddinfomarker:focus,
.ddinfomarker:hover {
    background-image: url(../img/info_morkegronn.svg);
}

.ddLargeActionButton:focus,
.ddLargeActionButton:hover {
    font-style: italic;
    border-color:inherit; /* arver fra kendo */
}

.ddConfirmationListButton input:focus,
.ddConfirmationListButton input:hover{
    font-style:italic;
}

.actionMenu.k-menu .k-item > .k-link:focus,
.actionMenu.k-menu .k-item > .k-link:hover {
    font-style: italic;
}

.ddReportExportContainer .ddreportexportmessage:focus,
.ddReportExportContainer .ddreportexportmessage:hover {
    background-image: url(../img/Messages_hvit.svg);
    background-repeat: no-repeat;
    background-size: 80%;
}

/* Autosøk */
.ddAutoSearchV2 .ddSearchButtonV2:hover,
.ddAutoSearchV2 .ddSearchButtonV2:focus {
    background-image: url(../img/SearchGreen.svg);
}

.ddAutoSearchV2 .ddClearButtonV2:hover,
.ddAutoSearchV2 .ddClearButtonV2:focus {
    background-image: url(../img/ClearGreen.svg);
}

.ddSearchV2DisplayValueLink:hover,
.ddSearchV2DisplayValueLink:focus {
    font-style:italic;
}
/* Slutt: Autosøk */

/* Filter */
.ddSelectionFields summary:focus > .ddSelectionFieldGroupLabel,
.ddSelectionFields summary:hover > .ddSelectionFieldGroupLabel {
    color:#fff;
    background-color:#0e3a2e;
}

.ddSelectionFields summary:focus .ddSelectionFieldGroupLabel::after,
.ddSelectionFields summary:hover .ddSelectionFieldGroupLabel::after,
.ddSelectionFields details[open] summary:focus .ddSelectionFieldGroupLabel::after,
.ddSelectionFields details[open] summary:hover .ddSelectionFieldGroupLabel::after {
    background-image: url('../img/Hake_hvit.svg');
}

.selectionInfoContainer .selectionInfoGroup:focus,
.selectionInfoContainer .selectionInfoGroup:hover {
    background-color: #0e3a2e;
}

.selectionInfoGroup:focus label,
.selectionInfoGroup:hover label,
.selectionInfoGroup:focus span,
.selectionInfoGroup:hover span {
    color:#fff;
    cursor:pointer;
}

.selectionInfoContainer .selectionInfoGroup:focus .selectionInfoClearButton,
.selectionInfoContainer .selectionInfoGroup:hover .selectionInfoClearButton {
    background-image: url(../img/LukkSlett_X_hvit.svg);
}
/* Slutt: Filter */

/* Trekkspill */
.ddListGroupfoldable:focus,
.ddListGroupfoldable:hover{
    background-color:#f2f1ef;
}

.bankTransactionsBasicInfo .moreInfo:focus,
.bankTransactionsBasicInfo .moreInfo:hover {
    background-color:#f2f1ef;
}

.yearEndMSUser .workListExpandCollapsButton:focus,
.yearEndMSUser .workListExpandCollapsButton:hover {
    background-image: url(../img/Hake_gronn.svg);
}

.yearEndMSUser .workListItemContainer:focus{
    background-color: #f2f1ef;
}

.yearEndMSUser .workListItemContainer:hover {
    border:1px solid #0e3a2e;
}

.yearEndMSUser .workListItemContainer .trekkspillContainerFocus {
    border:1px solid #0e3a2e;
}

.annualSettlement .workListItemContainer:focus,
.annualSettlement .workListItemContainer:hover {
    background-color: #f2f1ef;
}
/* Slutt: Trekkspill */

/* Stor informasjonsknapp innenfor ddtelerikcontainer */
a.information.inner:focus,
a.information.inner:hover {
    background-color: #0e3a2e;
    color: #fff;
    background-image: url(../img/info_hvit.svg);
    font-style:normal;
}

/* Stor videoknapp innenfor ddtelerikcontainer */
a.infoVideoIcon.inner:focus,
a.infoVideoIcon.inner:hover {
    background-color: #0e3a2e;
    color: #fff;
    background-image: url(../img/Video_ikon_hvit.svg);
    font-style: normal;
}

/* Temasidene */
.ddThemePage .actionitem:hover,
.ddThemePage .actionitem:focus {
    background-color: #0e3a2e;
    color:#fff;
}

.largeLinks .ddThemePageWidgetContainer:hover,
.largeLinks .ddThemePageWidgetContainer:focus,
.largeWidgets .ddThemePageWidgetContainer h3:hover,
.largeWidgets .ddThemePageWidgetContainer h3:focus,
.autosearches .ddThemePageWidgetContainer h3:hover,
.autosearches .ddThemePageWidgetContainer h3:focus,
.autosearches .ddThemePageWidgetContainer .k-button:hover,
.autosearches .ddThemePageWidgetContainer .k-button:focus,
.ddThemePageWidgetContainer .searchField ~ .k-button:hover,
.ddThemePageWidgetContainer .searchField ~ .k-button:focus {
    background-color: #0e3a2e;
    color: #fff;
}

.settingsPage .ddThemePageGroupContainer .ddThemePageWidgetContainer:hover,
.settingsPage .ddThemePageGroupContainer .ddThemePageWidgetContainer:focus {
    background-color: #0e3a2e;
    color: #fff;
}

.ddThemePage .widgetContextMenuTop .k-state-hover,
.ddThemePage .widgetContextMenuTop .k-state-focus,
.ddThemePage .widgetContextMenuTop .k-state-hover:hover,
.ddThemePage .widgetContextMenuTop .k-state-focus:focus {
    background-image: none, linear-gradient(to bottom, #fff, #fff 100%) !important;
}

.ddThemePage .widgetContextMenuOptionText:hover,
.ddThemePage .widgetContextMenuOptionText:focus {
    color: #0e3a2e;
}

.themeCarriersSelection:hover,
.themeCarriersSelection:focus,
.themeCarrierTogglerExpanded:hover,
.themeCarrierTogglerExpanded:focus,
.themeCarrierTogglerCollapsed:hover,
.themeCarrierTogglerCollapsed:focus {
    background-color: #0e3a2e;
    color: #fff;
}

.rightLinks .ddThemePageWidgetContainer:hover,
.rightLinks .ddThemePageWidgetContainer:focus {
    background-color: #0e3a2e;
    color: #fff;
}

.ddThemePage .rightLinks .additionalMenuItemsCollapsed:hover,
.ddThemePage .rightLinks .additionalMenuItemsCollapsed:focus,
.ddThemePage .rightLinks .additionalMenuItemsExpanded:hover,
.ddThemePage .rightLinks .additionalMenuItemsExpanded:focus {
    background-color: #0e3a2e;
    color: #fff;
}

.themeCarrierTogglerCollapsed:hover .themeCarriersTogglerArrow,
.themeCarrierTogglerCollapsed:focus .themeCarriersTogglerArrow,
.themeCarrierTogglerExpanded:hover .themeCarriersTogglerArrow,
.themeCarrierTogglerExpanded:focus .themeCarriersTogglerArrow,
.ddThemePage .rightLinks .additionalMenuItemsCollapsed:hover .additionalMenuItemsArrow,
.ddThemePage .rightLinks .additionalMenuItemsCollapsed:focus .additionalMenuItemsArrow,
.ddThemePage .rightLinks .additionalMenuItemsExpanded:hover .additionalMenuItemsArrow,
.ddThemePage .rightLinks .additionalMenuItemsExpanded:focus .additionalMenuItemsArrow,
.ddThemePage .ddThemePageWidgetContainer.flereRegistre:focus .baseRegisterTogglerArrow,
.ddThemePage .ddThemePageWidgetContainer.flereRegistre:hover .baseRegisterTogglerArrow{
    background-image: url(../img/Hake_hvit.svg);
}

.rightLinks .menyPunkterTogglerCollapsed:hover .menyPunkterTogglerArrow,
.rightLinks .menyPunkterTogglerCollapsed:focus .menyPunkterTogglerArrow,
.rightLinks .menyPunkterTogglerExpanded:hover .menyPunkterTogglerArrow,
.rightLinks .menyPunkterTogglerExpanded:focus .menyPunkterTogglerArrow {
    background-image: url(../img/Hake_hvit.svg);
}
/* Slutt: Temasidene*/

/* Bilagskontroll */
.voucherlist .voucherListDataContainer .voucherListItemContainer:hover,
.voucherlist .voucherListDataContainer .voucherListItemContainer:focus {
    border: 1px solid #0e3a2e;
    background-color: #f2f1ef;
}

/* Startsiden */
.ddActionCenterContent .ddActionCenterTile:hover,
.ddActionCenterContent .ddActionCenterTile:focus,
.ddActionCenterContent .ddActionCenterTileDetails:hover,
.ddActionCenterContent .ddActionCenterTileDetails:focus {
    background-color: #0e3a2e;
    color: #fff;
}

.ddActionCenterExpander .ddActionCenterDetailsExpanderLabel:hover,
.ddActionCenterExpander .ddActionCenterDetailsExpanderLabel:focus {
    font-style: italic;
}

#ddActionCenterDetailsContainer #ddActionCenterDetailsContainerCloseButton:hover,
#ddActionCenterDetailsContainer #ddActionCenterDetailsContainerCloseButton:focus {
    background-image: url(../img/LukkSlett_X_morkegronn.svg);
}

/* Handlingssenteret */
.elementDetailsContainer .closeButton:hover,
.elementDetailsContainer .closeButton:focus {
    background-image: url(../img/LukkSlett_X_morkegronn.svg);
}

/* Grønn topp i alle websider */
.ddTopMenu .rfClientPanel .clientName:hover,
.ddTopMenu .rfClientPanel .clientName:focus {
    font-style: italic;
}

.ddStorMenyButton:hover,
.ddStorMenyButton:focus{
    font-style: italic;
}

.ddMessagesContainer .ddMessagesText:hover,
.ddMessagesContainer .ddMessagesText:focus {
    font-style: italic;
}

.ddTopMenu .ddlogo:hover,
.ddTopMenu .ddlogo:focus {
    margin-top: 7px;
}

.ddUserSettingsIcon:hover,
.ddUserSettingsIcon:focus {
    margin-top: 5px;
}

.ddTopMenu .ddOfficeContainer:hover{
    margin-top:4px;
}

/* Velg felter i Attestasjon (som egentlig er hideShowElements kode) */
.ddAttestationDetailEditArea .ddSelectionPanel .hideShowElements:focus,
.ddAttestationDetailEditArea .ddSelectionPanel .hideShowElements:hover {
    background-color: transparent;
    color: #0e3a2e;
    font-style: italic;
}

/* Nederst på alle websider */
.ddfooter a{
    font-style:normal;
}

.ddfooter .ddChatbot:hover {
    color:#fff;
    background-color:#0e3a2e;
    background-image: url(../img/Chatbot_hvit.svg);
    border-radius:3px;
}

.ddfooter .ddChatbot.ddChatbot-disabled:hover {
    background-image: url('../img/ChatbotGrey.svg');
    color: #A6A6A6;
    background-color: unset;
    cursor: default;
}

.ddfooter.rf .ddMittKundeforhold:hover {
    color: #fff;
    background-color: #0e3a2e;
    border-radius: 3px;
}

.ddfooter a.ddDriftsmelding:hover {
    color: #fff;
    background-color: #0e3a2e;
    border-radius: 3px;
}

.ddfooter .ddEmarketing:hover {
    color: #fff;
    background-color: #0e3a2e;
    border-radius: 3px;
}

.ddfooter.rf .ddSupportsak:hover {
    color: #fff;
    background-color: #0e3a2e;
    border-radius: 3px;
}